package com.gh.common.provider

import com.gh.common.filter.RegionSettingHelper
import com.gh.gamecenter.feature.entity.GameEntity
import com.gh.gamecenter.feature.entity.IpInfo
import com.gh.gamecenter.feature.provider.IRegionSettingHelperProvider

@com.therouter.inject.ServiceProvider
class RegionSettingHelperProviderImpl : IRegionSettingHelperProvider {

    override fun getMirrorPosition(gameId: String): Int {
        return RegionSettingHelper.getMirrorPosition(gameId)
    }

    override fun shouldThisGameShowSpecialDownload(gameId: String): Boolean {
        return RegionSettingHelper.shouldThisGameShowSpecialDownload(gameId)
    }

    override fun filterGame(list: List<GameEntity>): ArrayList<GameEntity> {
        return RegionSettingHelper.filterGame(list)
    }

    override fun getIpInfo(): IpInfo? {
        return RegionSettingHelper.getIpInfo()
    }

    override fun shouldThisGameBeFiltered(gameId: String?): Boolean {
        return RegionSettingHelper.shouldThisGameBeFiltered(gameId)
    }
}